menu
#2823922 Access level to CortexPE\TeaSpoon\utility\YAMLConfig::DETECT must be public (as in class pocketmine\utils\Config)

Submitted by PocketMine-MP 3.9.2

General information

Version: 3.9.2
Git commit: 7a747d6f
Plugin involvement: Direct
Report date: 2019-09-11 08:12:10 +0000 UTC

System Information

PHP version: 7.3.6
Operating system: win
System banner: Windows NT LAPTOP-0A0QM4LJ 10.0 build 18362 (Windows 10) AMD64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Access level to CortexPE\TeaSpoon\utility\YAMLConfig::DETECT must be public (as in class pocketmine\utils\Config)
File: plugins/TeaSpoon/src/CortexPE/TeaSpoon/utility/YAMLConfig
Line: #79
Error level: E_COMPILE_ERROR
70
71
72
73
74
75
76
77
78
79
			$content = preg_replace("/'#(\w+)': .+/", "# $1", $content); // comments
file_put_contents($this->file, $content);

$this->setChanged();

return true;
}
return false;
}
}

Loaded Plugins

  • Show

Server Settings

  • Show